Skip to main content
GET
/
sandboxes
List sandboxes
curl --request GET \
  --url https://sandbox.brimble.io/sandboxes \
  --header 'x-brimble-key: <api-key>'
{
  "message": "Sandboxes fetched",
  "data": {
    "data": [
      {
        "id": "<string>",
        "name": "<string>",
        "template": "<string>",
        "region": {
          "id": "6a06df21cc6bef51342e199e",
          "name": "eu-west",
          "country": "France",
          "continent": "Europe",
          "enabled": true,
          "type": "sandbox"
        },
        "specs": {
          "cpu": 1000,
          "memory": 1024,
          "disk": 3
        },
        "created_at": "2023-11-07T05:31:56Z",
        "last_activity_at": "2023-11-07T05:31:56Z",
        "expires_at": "2023-11-07T05:31:56Z",
        "team": "<string>",
        "project_environment": "<string>",
        "auto_destroy": true,
        "one_shot": true,
        "block_outbound": true,
        "persistent": true,
        "persistent_disk_gb": 123,
        "paused_at": "2023-11-07T05:31:56Z",
        "from_snapshot": "<string>",
        "snapshot_frequency": "<string>",
        "destroyed_at": "2023-11-07T05:31:56Z"
      }
    ],
    "totalCount": 123,
    "currentPage": 123,
    "totalPages": 123,
    "limit": 123
  }
}

Authorizations

x-brimble-key
string
header
required

Your account-level Brimble API key. Find it in the dashboard under your profile drawer → API key (click the avatar in the sidebar). Available on paid plans only.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:15
Required range: 1 <= x <= 100

Response

Paginated sandboxes

message
string
required
Example:

"Sandboxes fetched"

data
object
required
Last modified on May 23, 2026